## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without  tests

%global         srcname     google-cloud-bigquery-connection
%global         forgeurl    https://github.com/googleapis/python-bigquery-connection
Version:        1.12.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python SDK for Google Cloud BigQuery Connection API

License:        Apache-2.0
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(grpcio-testing)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
Python SDK for Google Cloud BigQuery Connection API:
Manage BigQuery connections to external data sources.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1

# Allow a slightly older protobuf.
sed -i 's/"protobuf.*",/"protobuf>=3.19.4",/' setup.py

# Replace mock imports with unittest.mock.
grep -rl "^[[:space:]]*import mock" tests | \
    xargs sed -i -E 's/^([[:space:]]*)import mock/\1from unittest import mock/'


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google


%check
%pyproject_check_import

%if %{with tests}
# NOTE(mhayden): Setting PYTHONUSERBASE as a hack for PEP 420 namespaces.
# Thanks to churchyard for the fix.
PYTHONUSERBASE=%{buildroot}%{_prefix} \
    %pytest tests/unit
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.md CODE_OF_CONDUCT.md CONTRIBUTING.rst SECURITY.md
%{python3_sitelib}/google_cloud_bigquery_connection-%{version}-py%{python3_version}-nspkg.pth


%changelog
* Mon Mar 27 2023 Major Hayden <major@redhat.com> - 1.12.0-1
- Update to 1.12.0 rhbz#2182131

* Fri Mar 03 2023 Major Hayden <major@redhat.com> - 1.11.0-1
- Update to 1.11.0 rhbz#2174494

* Wed Mar 01 2023 Major Hayden <major@redhat.com> - 1.10.0-1
- Update to 1.10.0 rhbz#2173770

* Tue Feb 21 2023 Major Hayden <major@redhat.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.7.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Wed Oct 19 2022 Major Hayden <major@redhat.com> - 1.7.3-1
- Update to 1.7.3 rhbz#2131884

* Mon Aug 15 2022 Major Hayden <major@redhat.com> - 1.7.1-1
- Update to 1.7.1 rhbz#2118350

* Wed Aug 03 2022 Major Hayden <major@redhat.com> - 1.7.0-1
- Update to 1.7.0 rhbz#2114579

* Wed Jul 27 2022 Major Hayden <major@redhat.com> - 1.6.0-1
- Update to 1.6.0 rhbz#2108155

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 28 2022 Python Maint <python-maint@redhat.com> - 1.5.1-2
- Rebuilt for Python 3.11

* Mon Jun 13 2022 Major Hayden <major@redhat.com> - 1.5.1-1
- Update to 1.5.1

* Thu May 19 2022 Major Hayden <major@mhtx.net> - 1.5.0-1
- 🚀 Update to 1.5.0

* Wed Mar 09 2022 Major Hayden <major@redhat.com> - 1.4.0-1
- Update to 1.4.0

* Tue Mar 08 2022 Major Hayden <major@redhat.com> - 1.3.4-1
- Update to 1.3.4

* Tue Mar 01 2022 Major Hayden <major@redhat.com> - 1.3.3-1
- Update to 1.3.3

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Wed Jan 19 2022 Major Hayden <major@redhat.com> - 1.3.2-1
- Update to 1.3.2

* Wed Nov 03 2021 Major Hayden <major@redhat.com> - 1.3.1-1
- Update to 1.3.1

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> - 1.3.0-2
- First package for version 1.3.0

* Wed Oct 27 2021 Major Hayden <major@mhtx.net> - 1.3.0-1
- Initial import (#2012984)
